List projects
curl --request GET \
--url https://api.userplane.io/api/v1/public/workspace/{workspaceId}/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userplane.io/api/v1/public/workspace/{workspaceId}/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userplane.io/api/v1/public/workspace/{workspaceId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"workspaceId": "<string>",
"projects": [
{
"projectId": "<string>",
"projectTitle": "<string>",
"isDefault": true,
"recordingRetentionDays": 0,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
],
"pagination": {
"page": 123,
"perPage": 123,
"total": 4503599627370495,
"totalPages": 4503599627370495,
"hasMore": true
}
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request parameters. Check the request body and query parameters. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is required. Include it as Authorization: Bearer <your-api-key>. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "The API key is disabled. Enable it or create a new key. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace not found",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace has been deleted",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded. Wait and retry with exponential backoff. See https://docs.userplane.io/api/rate-limits",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key verification service is temporarily unavailable. Please try again later. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}Projects
List Projects
Retrieve a paginated list of projects in a workspace
GET
/
public
/
workspace
/
{workspaceId}
/
projects
List projects
Returns a paginated list of projects in the specified workspace.
Also returns common authentication errors.
Errors
| Error code | Status | Description |
|---|---|---|
FORBIDDEN | 403 | Insufficient permissions |
Related
Get Project
Retrieve details for a specific project
List Links
Filter recording links by project
List Recordings
Filter recordings by project
Pagination
Page-based pagination for list endpoints
Authorizations
API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers
Path Parameters
Minimum string length:
1Query Parameters
Required range:
x <= 9007199254740991Required range:
1 <= x <= 10Available options:
created_at, project_title Available options:
asc, desc ⌘I